## com.imcode.imcms.api
Class TestUserService.MockProcedureExecutor

    java.lang.Object
      com.imcode.imcms.api.TestUserService.MockProcedureExecutor

All Implemented Interfaces:
  ProcedureExecutor

Enclosing class:
  TestUserService

    public static class TestUserService.MockProcedureExecutor

extends java.lang.Object
implements ProcedureExecutor

Constructor Summary
`TestUserService.MockProcedureExecutor(com.imcode.db.mock.MockDatabase database)`

Method Summary
`java.lang.Object` `executeProcedure(java.lang.String procedureName, java.lang.Object[] params, org.apache.commons.dbutils.ResultSetHandler resultSetHandler)`
`int` `executeUpdateProcedure(java.lang.String procedureName, java.lang.Object[] parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestUserService.MockProcedureExecutor

    public TestUserService.MockProcedureExecutor(com.imcode.db.mock.MockDatabase database)

Method Detail

### executeUpdateProcedure

    public int executeUpdateProcedure(java.lang.String procedureName,
                                      java.lang.Object[] parameters)
                               throws com.imcode.db.DatabaseException

  Specified by:
    `executeUpdateProcedure` in interface `ProcedureExecutor`
  Throws:
    `com.imcode.db.DatabaseException`

### executeProcedure

    public java.lang.Object executeProcedure(java.lang.String procedureName,
                                             java.lang.Object[] params,
                                             org.apache.commons.dbutils.ResultSetHandler resultSetHandler)

  Specified by:
    `executeProcedure` in interface `ProcedureExecutor`